import { IntegrationInstance } from '../API';
import { CRUDService, ICrudService } from '../core';
export declare class IntegrationInstanceService extends CRUDService<IntegrationInstance> {
    protected hasOneModels: ICrudService<IntegrationInstance>['hasOneModels'];
    get create(): (input: Partial<Record<"externalIDs" | "propertyOptions" | "auditViews" | "jobs", import("../../..").ModelWithId[]> & Record<import("../core").HasOneRelationsOf<IntegrationInstance>, import("../../..").ModelWithId>> & Omit<import("../API").CreateIntegrationInstance, "externalIDs" | "propertyOptions" | "auditViews" | "jobs" | import("../core").HasOneRelationsOf<IntegrationInstance>>, options?: import("../core").MutationOptionsWithoutMutation<import("@graphql-typed-document-node/core").TypedDocumentNode<import("../API").IntegrationInstanceCreateOneMutation, import("../API").Exact<{
        input: import("../API").CreateIntegrationInstance;
    }>>>) => Promise<{
        __typename?: "IntegrationInstance";
        authenticated?: boolean;
        created_at: any;
        enabled?: boolean;
        id: string;
        integrationDocumentID?: string;
        name: string;
        organizationID?: string;
        updated_at: any;
        subdomain?: string;
    }>;
    get useCreate(): (options?: import("../core").CacheUpdateOptions<import("../core").ServiceMutationHookOptions<import("@graphql-typed-document-node/core").TypedDocumentNode<import("../API").IntegrationInstanceCreateOneMutation, import("../API").Exact<{
        input: import("../API").CreateIntegrationInstance;
    }>>>>) => [(payload: import("../core").InputAndRelations<import("@graphql-typed-document-node/core").TypedDocumentNode<import("../API").IntegrationInstanceCreateOneMutation, import("../API").Exact<{
        input: import("../API").CreateIntegrationInstance;
    }>>, IntegrationInstance>) => Promise<{
        __typename?: "IntegrationInstance";
        authenticated?: boolean;
        created_at: any;
        enabled?: boolean;
        id: string;
        integrationDocumentID?: string;
        name: string;
        organizationID?: string;
        updated_at: any;
        subdomain?: string;
    }>, import("@apollo/client").MutationResult<any>];
    get update(): (input: Partial<Record<"externalIDs" | "propertyOptions" | "auditViews" | "jobs", import("../../..").ModelWithId[]> & Record<import("../core").HasOneRelationsOf<IntegrationInstance>, import("../../..").ModelWithId>> & Omit<import("../API").UpdateIntegrationInstance, "externalIDs" | "propertyOptions" | "auditViews" | "jobs" | import("../core").HasOneRelationsOf<IntegrationInstance>> & {
        id: string;
    }, options?: import("../core").MutationOptionsWithoutMutation<import("@graphql-typed-document-node/core").TypedDocumentNode<import("../API").IntegrationInstanceUpdateOneMutation, import("../API").Exact<{
        input: import("../API").UpdateOneIntegrationInstanceInput;
    }>>>) => Promise<{
        __typename?: "IntegrationInstance";
        authenticated?: boolean;
        created_at: any;
        enabled?: boolean;
        id: string;
        integrationDocumentID?: string;
        name: string;
        organizationID?: string;
        updated_at: any;
        subdomain?: string;
    }>;
    get useUpdate(): (mainOptions?: import("../core").CacheUpdateOptions<import("../core").ServiceMutationHookOptions<import("@graphql-typed-document-node/core").TypedDocumentNode<import("../API").IntegrationInstanceUpdateOneMutation, import("../API").Exact<{
        input: import("../API").UpdateOneIntegrationInstanceInput;
    }>>>>) => [({ id, ...input }: Partial<Record<"externalIDs" | "propertyOptions" | "auditViews" | "jobs", import("../../..").ModelWithId[]> & Record<import("../core").HasOneRelationsOf<IntegrationInstance>, import("../../..").ModelWithId>> & import("../API").UpdateIntegrationInstance & {
        id: string;
    }, options?: import("../core").CacheUpdateOptions<import("../core").ServiceMutationHookOptions<import("@graphql-typed-document-node/core").TypedDocumentNode<import("../API").IntegrationInstanceUpdateOneMutation, import("../API").Exact<{
        input: import("../API").UpdateOneIntegrationInstanceInput;
    }>>>>) => Promise<any>, import("@apollo/client").MutationResult<any>];
    get delete(): (id: string, options?: import("../core").MutationOptionsWithoutMutation<import("@graphql-typed-document-node/core").TypedDocumentNode<import("../API").IntegrationInstanceDeleteOneMutation, import("../API").Exact<{
        input: import("../API").DeleteOneIntegrationInstanceInput;
    }>>>) => Promise<{
        __typename?: "IntegrationInstanceDeleteResponse";
        id?: string;
    }>;
    get get(): (id: string, options?: Omit<import("@apollo/client").QueryOptions<import("../API").Exact<{
        id: string;
    }>, import("../API").IntegrationInstanceGetQuery>, "query">) => Promise<{
        __typename?: "IntegrationInstance";
        authenticated?: boolean;
        created_at: any;
        enabled?: boolean;
        id: string;
        integrationDocumentID?: string;
        name: string;
        organizationID?: string;
        updated_at: any;
        subdomain?: string;
    }>;
    get useGet(): (options: import("../core").ServiceQueryHookOptions<import("@graphql-typed-document-node/core").TypedDocumentNode<import("../API").IntegrationInstanceGetQuery, import("../API").Exact<{
        id: string;
    }>>>) => {
        isLoading: boolean;
        isRefetching: boolean;
        hasMore: any;
        refetching: boolean;
        client: import("@apollo/client").ApolloClient<any>;
        observable: import("@apollo/client").ObservableQuery<import("../API").IntegrationInstanceGetQuery, import("../API").Exact<{
            id: string;
        }>>;
        data: import("../API").IntegrationInstanceGetQuery;
        previousData?: import("../API").IntegrationInstanceGetQuery;
        error?: import("@apollo/client").ApolloError;
        loading: boolean;
        networkStatus: import("@apollo/client").NetworkStatus;
        called: boolean;
        variables: import("../API").Exact<{
            id: string;
        }>;
        startPolling: (pollInterval: number) => void;
        stopPolling: () => void;
        subscribeToMore: <TSubscriptionData = import("../API").IntegrationInstanceGetQuery, TSubscriptionVariables = import("../API").Exact<{
            id: string;
        }>>(options: import("@apollo/client").SubscribeToMoreOptions<import("../API").IntegrationInstanceGetQuery, TSubscriptionVariables, TSubscriptionData>) => () => void;
        updateQuery: <TVars = import("../API").Exact<{
            id: string;
        }>>(mapFn: (previousQueryResult: import("../API").IntegrationInstanceGetQuery, options: Pick<import("@apollo/client").WatchQueryOptions<TVars, import("../API").IntegrationInstanceGetQuery>, "variables">) => import("../API").IntegrationInstanceGetQuery) => void;
        refetch: (variables?: Partial<import("../API").Exact<{
            id: string;
        }>>) => Promise<import("@apollo/client").ApolloQueryResult<import("../API").IntegrationInstanceGetQuery>>;
        reobserve: (newOptions?: Partial<import("@apollo/client").WatchQueryOptions<import("../API").Exact<{
            id: string;
        }>, import("../API").IntegrationInstanceGetQuery>>, newNetworkStatus?: import("@apollo/client").NetworkStatus) => Promise<import("@apollo/client").ApolloQueryResult<import("../API").IntegrationInstanceGetQuery>>;
        fetchMore: <TFetchData = import("../API").IntegrationInstanceGetQuery, TFetchVars = import("../API").Exact<{
            id: string;
        }>>(fetchMoreOptions: import("@apollo/client").FetchMoreQueryOptions<TFetchVars, TFetchData> & {
            updateQuery?: (previousQueryResult: import("../API").IntegrationInstanceGetQuery, options: {
                fetchMoreResult: TFetchData;
                variables: TFetchVars;
            }) => import("../API").IntegrationInstanceGetQuery;
        }) => Promise<import("@apollo/client").ApolloQueryResult<TFetchData>>;
    };
    get useLazyGet(): (options?: import("../core").CacheUpdateOptions<import("../core").ServiceLazyQueryHookOptions<import("@graphql-typed-document-node/core").TypedDocumentNode<import("../API").IntegrationInstanceGetQuery, import("../API").Exact<{
        id: string;
    }>>>>) => import("@apollo/client").LazyQueryResultTuple<import("../API").IntegrationInstanceGetQuery, import("../API").Exact<{
        id: string;
    }>>;
    get list(): (input: import("../API").Exact<{
        filter?: import("../API").IntegrationInstanceFilter;
        sorting?: import("../API").IntegrationInstanceSort | import("../API").IntegrationInstanceSort[];
        paging?: import("../API").CursorPaging;
    }>, options?: import("../core").ServiceQueryOptions<import("@graphql-typed-document-node/core").TypedDocumentNode<import("../API").IntegrationInstanceListQuery, import("../API").Exact<{
        filter?: import("../API").IntegrationInstanceFilter;
        sorting?: import("../API").IntegrationInstanceSort | import("../API").IntegrationInstanceSort[];
        paging?: import("../API").CursorPaging;
    }>>>) => Promise<{
        __typename?: "IntegrationInstanceConnection";
        totalCount: number;
        edges: {
            __typename?: "IntegrationInstanceEdge";
            cursor: any;
            node: {
                __typename?: "IntegrationInstance";
                authenticated?: boolean;
                created_at: any;
                enabled?: boolean;
                id: string;
                integrationDocumentID?: string;
                name: string;
                organizationID?: string;
                updated_at: any;
                subdomain?: string;
            };
        }[];
        pageInfo: {
            __typename?: "PageInfo";
            endCursor?: any;
            hasNextPage?: boolean;
            hasPreviousPage?: boolean;
            startCursor?: any;
        };
    }>;
    get useList(): (options: import("../core").CacheUpdateOptions<import("../core").ServiceQueryHookOptions<import("@graphql-typed-document-node/core").TypedDocumentNode<import("../API").IntegrationInstanceListQuery, import("../API").Exact<{
        filter?: import("../API").IntegrationInstanceFilter;
        sorting?: import("../API").IntegrationInstanceSort | import("../API").IntegrationInstanceSort[];
        paging?: import("../API").CursorPaging;
    }>>>>) => {
        isLoading: boolean;
        isRefetching: boolean;
        hasMore: any;
        refetching: boolean;
        client: import("@apollo/client").ApolloClient<any>;
        observable: import("@apollo/client").ObservableQuery<import("../API").IntegrationInstanceListQuery, import("../API").Exact<{
            filter?: import("../API").IntegrationInstanceFilter;
            sorting?: import("../API").IntegrationInstanceSort | import("../API").IntegrationInstanceSort[];
            paging?: import("../API").CursorPaging;
        }>>;
        data: import("../API").IntegrationInstanceListQuery;
        previousData?: import("../API").IntegrationInstanceListQuery;
        error?: import("@apollo/client").ApolloError;
        loading: boolean;
        networkStatus: import("@apollo/client").NetworkStatus;
        called: boolean;
        variables: import("../API").Exact<{
            filter?: import("../API").IntegrationInstanceFilter;
            sorting?: import("../API").IntegrationInstanceSort | import("../API").IntegrationInstanceSort[];
            paging?: import("../API").CursorPaging;
        }>;
        startPolling: (pollInterval: number) => void;
        stopPolling: () => void;
        subscribeToMore: <TSubscriptionData = import("../API").IntegrationInstanceListQuery, TSubscriptionVariables = import("../API").Exact<{
            filter?: import("../API").IntegrationInstanceFilter;
            sorting?: import("../API").IntegrationInstanceSort | import("../API").IntegrationInstanceSort[];
            paging?: import("../API").CursorPaging;
        }>>(options: import("@apollo/client").SubscribeToMoreOptions<import("../API").IntegrationInstanceListQuery, TSubscriptionVariables, TSubscriptionData>) => () => void;
        updateQuery: <TVars = import("../API").Exact<{
            filter?: import("../API").IntegrationInstanceFilter;
            sorting?: import("../API").IntegrationInstanceSort | import("../API").IntegrationInstanceSort[];
            paging?: import("../API").CursorPaging;
        }>>(mapFn: (previousQueryResult: import("../API").IntegrationInstanceListQuery, options: Pick<import("@apollo/client").WatchQueryOptions<TVars, import("../API").IntegrationInstanceListQuery>, "variables">) => import("../API").IntegrationInstanceListQuery) => void;
        refetch: (variables?: Partial<import("../API").Exact<{
            filter?: import("../API").IntegrationInstanceFilter;
            sorting?: import("../API").IntegrationInstanceSort | import("../API").IntegrationInstanceSort[];
            paging?: import("../API").CursorPaging;
        }>>) => Promise<import("@apollo/client").ApolloQueryResult<import("../API").IntegrationInstanceListQuery>>;
        reobserve: (newOptions?: Partial<import("@apollo/client").WatchQueryOptions<import("../API").Exact<{
            filter?: import("../API").IntegrationInstanceFilter;
            sorting?: import("../API").IntegrationInstanceSort | import("../API").IntegrationInstanceSort[];
            paging?: import("../API").CursorPaging;
        }>, import("../API").IntegrationInstanceListQuery>>, newNetworkStatus?: import("@apollo/client").NetworkStatus) => Promise<import("@apollo/client").ApolloQueryResult<import("../API").IntegrationInstanceListQuery>>;
        fetchMore: <TFetchData = import("../API").IntegrationInstanceListQuery, TFetchVars = import("../API").Exact<{
            filter?: import("../API").IntegrationInstanceFilter;
            sorting?: import("../API").IntegrationInstanceSort | import("../API").IntegrationInstanceSort[];
            paging?: import("../API").CursorPaging;
        }>>(fetchMoreOptions: import("@apollo/client").FetchMoreQueryOptions<TFetchVars, TFetchData> & {
            updateQuery?: (previousQueryResult: import("../API").IntegrationInstanceListQuery, options: {
                fetchMoreResult: TFetchData;
                variables: TFetchVars;
            }) => import("../API").IntegrationInstanceListQuery;
        }) => Promise<import("@apollo/client").ApolloQueryResult<TFetchData>>;
    };
    get useLazyList(): (options?: import("../core").CacheUpdateOptions<import("../core").ServiceLazyQueryHookOptions<import("@graphql-typed-document-node/core").TypedDocumentNode<import("../API").IntegrationInstanceListQuery, import("../API").Exact<{
        filter?: import("../API").IntegrationInstanceFilter;
        sorting?: import("../API").IntegrationInstanceSort | import("../API").IntegrationInstanceSort[];
        paging?: import("../API").CursorPaging;
    }>>>>) => import("@apollo/client").LazyQueryResultTuple<import("../API").IntegrationInstanceListQuery, import("../API").Exact<{
        filter?: import("../API").IntegrationInstanceFilter;
        sorting?: import("../API").IntegrationInstanceSort | import("../API").IntegrationInstanceSort[];
        paging?: import("../API").CursorPaging;
    }>>;
}
